Page MenuHomePhabricator

Bundle VisualEditor extension with MediaWiki
Closed, ResolvedPublic

Description

With a PHP version of Parsoid expected to be included with MW 1.35, we should be able to provide VisualEditor working out of the box as well.

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer
  • Any relevant dependencies/enhancing extensions also bundled

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedGoalcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
ResolvedDzahn
DeclinedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedKrenair
ResolvedKrenair
ResolvedDzahn
ResolvedKrenair
Resolvedcscott
Resolvedcscott

Event Timeline

Legoktm created this task.Jan 21 2020, 1:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2020, 1:39 AM
Reedy awarded a token.Jan 21 2020, 1:46 AM
cscott added a subscriber: cscott.Feb 3 2020, 6:57 PM

Discussed this at allhands. Consensus was that for next LTS release (1.35) we'll probably still have a RESTBase dependency in core, but we should be able to hack in a "no restbase" mode for the LTS release. For example, we could add a temporary API endpoint to allow VE to stash the data-parsoid itself, instead of using RESTBase to do stashing.

JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.Mar 24 2020, 3:20 PM
JTannerWMF added a subscriber: JTannerWMF.

Looks like the parsing team is working on this

Akuckartz added a subscriber: Akuckartz.

Change 610260 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] [DNM] Add VisualEditor and TemplateData to the MW tarball

https://gerrit.wikimedia.org/r/610260

Change 611271 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] parameter_functions: VisualEditor and TemplateData are now tarballed

https://gerrit.wikimedia.org/r/611271

Jdforrester-WMF closed this task as Resolved.Tue, Jul 14, 4:56 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Jul 14, 4:56 AM

Change 610260 merged by jenkins-bot:
[mediawiki/tools/release@master] Add VisualEditor and TemplateData to the MW tarball

https://gerrit.wikimedia.org/r/610260

Change 611271 merged by jenkins-bot:
[integration/config@master] parameter_functions: VisualEditor and TemplateData are now tarballed

https://gerrit.wikimedia.org/r/611271